org.apache.jmeter.extractor.json.jsonpath

## Class JSONManager

- java.lang.Object
- - org.apache.jmeter.extractor.json.jsonpath.JSONManager

-     public class JSONManager
      extends java.lang.Object

  Handles the extractions https://github.com/jayway/JsonPath/blob/master/json-path/src/test/java/com/jayway/jsonpath/ComplianceTest.java
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `extractWithJsonPath(java.lang.String jsonString, java.lang.String jsonPath)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONManager

          public JSONManager()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### extractWithJsonPath

          public java.util.List<java.lang.Object> extractWithJsonPath(java.lang.String jsonString,
                                                                      java.lang.String jsonPath)
                                                               throws java.text.ParseException

      Parameters:
        `jsonString` - JSON String from which data is extracted
        `jsonPath` - JSON-PATH expression
      Returns:
        List of JSON Strings of the extracted data
      Throws:
        `java.text.ParseException` - when parsing fails

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.